SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# SDH::cDSA::sMatrixInfo Struct Reference

A data structure describing a single sensor matrix connected to the remote DSACON32m controller. More...

`#include <dsa.h>`

List of all members.

## Public Attributes
UInt16 | error_code
float | texel_width
float | texel_height
UInt16 | cells_x
UInt16 | cells_y
UInt8 | uid [6]
UInt8 | reserved [2]
UInt8 | hw_revision
float | matrix_center_x
float | matrix_center_y
float | matrix_center_z
float | matrix_theta_x
float | matrix_theta_y
float | matrix_theta_z
float | fullscale
UInt8 | feature_flags

## Detailed Description

A data structure describing a single sensor matrix connected to the remote DSACON32m controller.

## Member Data Documentation

UInt16 SDH::cDSA::sMatrixInfo::cells_x

UInt16 SDH::cDSA::sMatrixInfo::cells_y

UInt16 SDH::cDSA::sMatrixInfo::error_code

UInt8 SDH::cDSA::sMatrixInfo::feature_flags

float SDH::cDSA::sMatrixInfo::fullscale

UInt8 SDH::cDSA::sMatrixInfo::hw_revision

float SDH::cDSA::sMatrixInfo::matrix_center_x

float SDH::cDSA::sMatrixInfo::matrix_center_y

float SDH::cDSA::sMatrixInfo::matrix_center_z

float SDH::cDSA::sMatrixInfo::matrix_theta_x

float SDH::cDSA::sMatrixInfo::matrix_theta_y

float SDH::cDSA::sMatrixInfo::matrix_theta_z

UInt8 SDH::cDSA::sMatrixInfo::reserved[2]

float SDH::cDSA::sMatrixInfo::texel_height

float SDH::cDSA::sMatrixInfo::texel_width

UInt8 SDH::cDSA::sMatrixInfo::uid[6]

The documentation for this struct was generated from the following file:

- sdh/dsa.h